Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 55)
@@ -23,6 +23,80 @@
 {
     public partial class FrmPersonInCharge
     {
+
+        #region 固定ラベルコントロール配列
+        /// <summary>
+        /// 固定ラベルコントロール配列
+        /// </summary>
+        Label[] m_DispFixLabel = null;
+
+        string[] s_Title = { "担　当　者　登　録　画　面", "常　用　者　登　録　画　面" };
+        string[] s_label1 = { "担当者コード", "常用者コード" };
+        string[] s_label2 = { "担当者名", "常用者名" };
+
+        Color[] s_LabelColor = { Color.FromArgb(255, 255, 128), Color.Aquamarine };
+        #endregion
+
+        #region 固定コントロール初期処理
+        /// <summary>
+        /// 固定コントロール初期処理
+        /// </summary>
+        private void InitFixControl()
+        {
+            try
+            {
+                m_DispFixLabel = new Label[20];
+                m_DispFixLabel[0] = label1;
+                m_DispFixLabel[1] = lblPersonLabel;
+                m_DispFixLabel[2] = label3;
+                m_DispFixLabel[3] = lblMessageColor;
+                m_DispFixLabel[4] = label8;
+                m_DispFixLabel[5] = label9;
+                m_DispFixLabel[6] = label2;
+                m_DispFixLabel[7] = label7;
+                m_DispFixLabel[8] = label10;
+                m_DispFixLabel[9] = label11;
+                m_DispFixLabel[10] = label6;
+                m_DispFixLabel[11] = label5;
+                m_DispFixLabel[12] = label13;
+                m_DispFixLabel[13] = label14;
+                m_DispFixLabel[14] = label16;
+                m_DispFixLabel[15] = label17;
+                m_DispFixLabel[16] = label18;
+                m_DispFixLabel[17] = label4;
+                m_DispFixLabel[18] = label12;
+                m_DispFixLabel[19] = label15;
+
+                for (int i = 0; i < m_DispFixLabel.Length; i++)
+                {
+                    m_DispFixLabel[i].BackColor = s_LabelColor[(m_EntryMode - 1)];
+                }
+                m_DispFixLabel[0].Text = s_Title[(m_EntryMode - 1)];
+                m_DispFixLabel[1].Text = s_label1[(m_EntryMode - 1)];
+                m_DispFixLabel[2].Text = s_label2[(m_EntryMode - 1)];
+
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                || CommonMotions.LoginUserSecurity.SecRank == (int)CommonDefine.SecurityRankList[SRank].Key)
+                {
+                    tableLayoutPanel1.Height = (21 * 35) + 40 + 42;
+                    panel2.Visible = true;
+                    panel3.Visible = true;
+                }
+                else
+                {
+                    tableLayoutPanel1.Height = (20 * 35) + 40 + 42;
+                    panel2.Visible = false;
+                    panel3.Visible = false;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 画面ロック
         /// <summary>
         /// 画面ロック
@@ -29,17 +103,24 @@
         /// </summary>
         private void ControlLock(bool bctrl = true)
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
-                    wrk.Enabled = bctrl;
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Label)))
+                        wrk.Enabled = bctrl;
+                }
+                btnBackColor.Enabled = bctrl;
+                btnSalaryAdd.Enabled = bctrl;
+                btnSalaryDel.Enabled = bctrl;
+                btnRefDepAdd.Enabled = bctrl;
+                btnRefDepDel.Enabled = bctrl;
             }
-            btnBackColor.Enabled = bctrl;
-            btnSalaryAdd.Enabled = bctrl;
-            btnSalaryDel.Enabled = bctrl;
-            btnRefDepAdd.Enabled = bctrl;
-            btnRefDepDel.Enabled = bctrl;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -49,35 +130,42 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
-                CommonMotions.chgBackColor(wrk, true);
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    wrk.Text = "";
+                    CommonMotions.chgBackColor(wrk, true);
+                }
 
-            // 新規時は担当者コードを表示しない
-            if (m_PersonCode == 0)
-            {
-                lblPersonLabel.Visible = false;
-                lblPersonCode.Visible = false;
+                // 新規時は担当者コードを表示しない
+                if (m_PersonCode == 0)
+                {
+                    lblPersonLabel.Visible = false;
+                    lblPersonCode.Visible = false;
+                }
+                else
+                {
+                    lblPersonLabel.Visible = true;
+                    lblPersonCode.Visible = true;
+                }
+                // コンボボックス初期処理
+                SetSecurityManagementCombBox();
+                SetDepartmentCombBox(cmbDepartment);
+                SetDepartmentCombBox(cmbRefDepartment);
+                SetCalcLedgerCombBox();
+
+                // グリッドクリア
+                dgvSalary.Rows.Clear();
+                dgvRefDepartment.Rows.Clear();
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblPersonLabel.Visible = true;
-                lblPersonCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // コンボボックス初期処理
-            SetSecurityManagementCombBox();
-            SetDepartmentCombBox(cmbDepartment);
-            SetDepartmentCombBox(cmbRefDepartment);
-            SetCalcLedgerCombBox();
-
-            // グリッドクリア
-            dgvSalary.Rows.Clear();
-            dgvRefDepartment.Rows.Clear();
-
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -159,7 +247,9 @@
                 // 担当者マスタ取得クラス領域
                 List<PersonInChargeMaster> pic = new List<PersonInChargeMaster>();
                 // 担当者マスタ取得SQL
-                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.Regular);
+                int Delflg = 0;
+                if (rdbMode2.Checked) Delflg = 1;
+                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = {1} Order By DisplayOrder ASC", m_EntryMode, Delflg);
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear(); ;
                 // 担当者マスタ取得
@@ -721,7 +811,7 @@
             IOMPersonDepartment pDepDB = new IOMPersonDepartment();
             try
             {
-                //// 一括処理なので接続を行う
+                // 一括処理なので接続を行う
                 picDB.connect(); picDB.beginTran();
                 salaryDB.connect(); salaryDB.beginTran();
                 pDepDB.connect(); pDepDB.beginTran();
@@ -906,7 +996,7 @@
                 work.SealPrintName = m_dispControl[(int)DispCtrl.SealPrintName].Text.ToString();
 
                 // 社員区分（社員）
-                work.EmployeeClassFlg = (int)CommonDefine.EmployeeClassFlg.Regular;
+                work.EmployeeClassFlg = m_EntryMode;
 
                 // 削除フラグ
                 work.DeleteFlg = 0;
@@ -1450,5 +1540,33 @@
             }
         }
         #endregion
+
+        #region 社員区分変更処理
+        /// <summary>
+        /// 社員区分変更処理
+        /// </summary>
+        private void ChangeEmployClass(int EmployFlg )
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                int PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text.ToString());
+                if (!PersonDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.EmployeeClassFlg, EmployFlg))
+                {
+                    MessageBox.Show("担当者マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 55)
@@ -508,12 +508,10 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(Label)))
+                if (wrk.GetType().Equals(typeof(Label))) continue;
+
+                if (wrk.GetType().Equals(typeof(TextBox)))
                 {
-                    continue;
-                }
-                else if (wrk.GetType().Equals(typeof(TextBox)))
-                {
                     ((TextBox)wrk).ReadOnly = !bctrl;
                 }
                 else
@@ -530,39 +528,46 @@
         /// </summary>
         private void ClearDisplay(bool EdiDataDisp = false)
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                if (wrk.GetType().Equals(typeof(DataGridViewEX))) continue;
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    if (wrk.GetType().Equals(typeof(DataGridViewEX))) continue;
 
-                wrk.Text = "";
-            }
+                    wrk.Text = "";
+                }
 
-            dgvJobItem.Rows.Clear();
-            dgvJobLink.Rows.Clear();
+                dgvJobItem.Rows.Clear();
+                dgvJobLink.Rows.Clear();
 
-            // 新規時は会社コードを表示しない
-            if (m_CompanyCode == 0)
-            {
-                lblCompanyCode.Visible = false;
-                lblCompanyCodelabel.Visible = false;
+                // 新規時は会社コードを表示しない
+                if (m_CompanyCode == 0)
+                {
+                    lblCompanyCode.Visible = false;
+                    lblCompanyCodelabel.Visible = false;
+                }
+                else
+                {
+                    lblCompanyCode.Visible = true;
+                    lblCompanyCodelabel.Visible = true;
+                }
+                // データ修正時はクリアしない
+                if (EdiDataDisp) return;
+
+                cmbItemType.SelectedIndex = -1;
+                cmbJapaneseSyllabary.SelectedIndex = -1;
+                cmbLabour.SelectedIndex = -1;
+                cmbCorporateStatus.SelectedIndex = -1;
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblCompanyCode.Visible = true;
-                lblCompanyCodelabel.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // データ修正時はクリアしない
-            if (EdiDataDisp) return;
-
-            cmbItemType.SelectedIndex = -1;
-            cmbJapaneseSyllabary.SelectedIndex = -1;
-            cmbLabour.SelectedIndex = -1;
-            cmbCorporateStatus.SelectedIndex = -1;
-
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 55)
@@ -673,39 +673,46 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                wrk.Text = "";
-                // 閲覧時は入力できない
-                if (m_bBrowseFlg)
+                foreach (Control wrk in m_dispControl)
                 {
-                    if (wrk.GetType().Equals(typeof(TextBox)))
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                    // 閲覧時は入力できない
+                    if (m_bBrowseFlg)
                     {
-                        ((TextBox)wrk).ReadOnly = true;
-                        continue;
+                        if (wrk.GetType().Equals(typeof(TextBox)))
+                        {
+                            ((TextBox)wrk).ReadOnly = true;
+                            continue;
+                        }
+                        if (wrk.GetType().Equals(typeof(ComboBox)))
+                        {
+                            ((ComboBox)wrk).Enabled = true;
+                        }
                     }
-                    if (wrk.GetType().Equals(typeof(ComboBox)))
-                    {
-                        ((ComboBox)wrk).Enabled = true;
-                    }
                 }
+
+                // 新規時は仕入先コードを表示しない
+                if (m_SuppliersCode == 0)
+                {
+                    lblSuppliersCode.Visible = false;
+                    lblSuppliersCodelabel.Visible = false;
+                }
+                else
+                {
+                    lblSuppliersCode.Visible = true;
+                    lblSuppliersCodelabel.Visible = true;
+                }
+                m_bChengeAns = false;
             }
-            
-            // 新規時は仕入先コードを表示しない
-            if (m_SuppliersCode == 0)
+            catch (System.Exception ex)
             {
-                lblSuppliersCode.Visible = false;
-                lblSuppliersCodelabel.Visible = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            else
-            {
-                lblSuppliersCode.Visible = true;
-                lblSuppliersCodelabel.Visible = true;
-            }
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 55)
@@ -662,14 +662,21 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    wrk.Text = "";
+                }
+
+                m_bChengeAns = false;
             }
-
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 55)
@@ -825,22 +825,29 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
 
-                wrk.Text = "";
-            }
-            rdB101.Checked = true;
-            m_dispControl[(int)DispCtrl.ErrorColor].BackColor = Color.White;
-            m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = Color.Black;
+                    wrk.Text = "";
+                }
+                rdB101.Checked = true;
+                m_dispControl[(int)DispCtrl.ErrorColor].BackColor = Color.White;
+                m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = Color.Black;
 
-            cmbStatus.SelectedIndex = -1;
-            cmbItemNo.SelectedIndex = -1;
+                cmbStatus.SelectedIndex = -1;
+                cmbItemNo.SelectedIndex = -1;
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
         
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 55)
@@ -813,36 +813,43 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(DataGridView))) continue;
-                wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(DataGridView))) continue;
+                    wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_VehicleCode == 0)
-            {
-                lblStaticVehicleCode.Visible = false;
-                lblVehicleCode.Visible = false;
-            }
-            else
-            {
-                lblStaticVehicleCode.Visible = true;
-                lblVehicleCode.Visible = true;
-            }
+                // 新規時はコードを表示しない
+                if (m_VehicleCode == 0)
+                {
+                    lblStaticVehicleCode.Visible = false;
+                    lblVehicleCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticVehicleCode.Visible = true;
+                    lblVehicleCode.Visible = true;
+                }
 
-            cmbVehicleAdministrator.SelectedIndex = -1;
-            cmbVehicleScheduleDsp.SelectedIndex = -1;
+                cmbVehicleAdministrator.SelectedIndex = -1;
+                cmbVehicleScheduleDsp.SelectedIndex = -1;
 
 
-            dgvVehicleInspection.Rows.Clear();
-            dgvVoluntaryInsurance.Rows.Clear();
-            dgvPeriodicInspection.Rows.Clear();
-            dgvTireExchange.Rows.Clear();
-            dgvWinterTireExchange.Rows.Clear();
+                dgvVehicleInspection.Rows.Clear();
+                dgvVoluntaryInsurance.Rows.Clear();
+                dgvPeriodicInspection.Rows.Clear();
+                dgvTireExchange.Rows.Clear();
+                dgvWinterTireExchange.Rows.Clear();
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 55)
@@ -461,34 +461,6 @@
                 if (DepartmantCode > 0) strSQL += string.Format(" AND C1.DEPARTMENTCODE = {0}", DepartmantCode);
                 if (PersonCode > 0) strSQL += string.Format(" AND B1.PERSONCODE = {0}", PersonCode);
                 strSQL += ")";
-                //strSQL += " UNION";
-                //strSQL += " (SELECT C1.DISPLAYORDER, A.CONSTRUCTIONCODE, SUM(A.ORDERSDECISIONPRICE) + SUM(NVL(C.ORDERSDECISIONPRICE,0)),";
-                //strSQL += " A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE,";
-                //strSQL += " C1.DEPARTMENTSTRING, B1.PERSONNAME,";
-                //strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO,";
-                //strSQL += " E1.DETAILSTRING, B1.DISPLAYORDER";
-                //strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                //strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.FLUCTUATIONCODE";
-                //strSQL += ", PERSONINCHARGEMASTER B1, DEPARTMENTMASTER C1";
-                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D1 ON D1.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D1.EXPENSESPERIOD = {0} AND D1.NameCode = 3", SelectPeriod);
-                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D2 ON D2.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D2.EXPENSESPERIOD = {0} AND D2.NameCode = 2", SelectPeriod);
-                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D3 ON D3.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D3.EXPENSESPERIOD = {0} AND D3.NameCode = 1", SelectPeriod);
-                //strSQL += ", CONSTRUCTIONBASEINFODETAIL E1";
-                //strSQL += " WHERE NOT EXISTS (SELECT * FROM CONSTRUCTIONLEDGER A1 WHERE A1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
-                //strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", SelectPeriod);
-                
-                //strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Standard);
-                //strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
-
-                //strSQL += string.Format(" And ({0} <= A.ConstructionStatusFlg And A.ConstructionStatusFlg <= {1})", iCode1, iCode2);
-                //strSQL += " AND B1.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                //strSQL += " AND C1.DEPARTMENTCODE = B1.DEPARTMENTCODE";
-                //strSQL += " AND E1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                //strSQL += string.Format(" AND E1.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                //if (DepartmantCode > 0) strSQL += string.Format(" AND C1.DEPARTMENTCODE = {0}", DepartmantCode);
-                //if (PersonCode > 0) strSQL += string.Format(" AND B1.PERSONCODE = {0}", PersonCode);
-                //strSQL += " GROUP BY C1.DISPLAYORDER, A.CONSTRUCTIONCODE, A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE, C1.DEPARTMENTSTRING, B1.PERSONNAME, ";
-                //strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO, E1.DETAILSTRING, B1.DISPLAYORDER)";
                 strSQL += " ORDER BY 1, 12, 2";
 
                 ArrayList DatArList = new ArrayList();
@@ -540,9 +512,9 @@
                 DisplayTotalRow((int)RowTitleNum.DataType1, CurTotalArea, false);
 
                 m_TotalArea[(int)GridColumn.OrdersPrice] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                m_TotalArea[(int)GridColumn.CompanyExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                m_TotalArea[(int)GridColumn.DepartmentExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                m_TotalArea[(int)GridColumn.SaleseExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
+                m_TotalArea[(int)GridColumn.CompanyExpeses] += CurTotalArea[(int)GridColumn.CompanyExpeses];
+                m_TotalArea[(int)GridColumn.DepartmentExpeses] += CurTotalArea[(int)GridColumn.DepartmentExpeses];
+                m_TotalArea[(int)GridColumn.SaleseExpeses] += CurTotalArea[(int)GridColumn.SaleseExpeses];
             }
             catch (System.Exception ex)
             {
@@ -621,9 +593,9 @@
                     CurTotalArea[(int)GridColumn.SaleseExpeses] += ExpensesPrice3;      // 営業経費
 
                     m_TotalArea[(int)GridColumn.OrdersPrice] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                    m_TotalArea[(int)GridColumn.CompanyExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                    m_TotalArea[(int)GridColumn.DepartmentExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
-                    m_TotalArea[(int)GridColumn.SaleseExpeses] += CurTotalArea[(int)GridColumn.OrdersPrice];
+                    m_TotalArea[(int)GridColumn.CompanyExpeses] += CurTotalArea[(int)GridColumn.CompanyExpeses];
+                    m_TotalArea[(int)GridColumn.DepartmentExpeses] += CurTotalArea[(int)GridColumn.DepartmentExpeses];
+                    m_TotalArea[(int)GridColumn.SaleseExpeses] += CurTotalArea[(int)GridColumn.SaleseExpeses];
                 }
 
                 // 合計行表示
